class ActionUISupply {
  int? id;
  String? name;
  String? externalTable;
  int? objectType;
  String? condition;
  int? activityTypeId;

  ActionUISupply({
    this.id,
    this.name,
    this.externalTable,
    this.objectType,
    this.condition,
    this.activityTypeId,
  });

  ActionUISupply.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    externalTable = json['externalTable'];
    objectType = json['objectType'];
    condition = json['condition'];
    activityTypeId = json['activityTypeId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['externalTable'] = this.externalTable;
    data['objectType'] = this.objectType;
    data['condition'] = this.condition;
    data['activityTypeId'] = this.activityTypeId;
    return data;
  }
}
